Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452256 - Python Traceback on AMD Geode LX-800
Summary: Python Traceback on AMD Geode LX-800
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.1
Hardware: i686
OS: Linux
low
urgent
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-20 15:42 UTC by William Tate
Modified: 2018-10-20 02:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-30 20:43:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description William Tate 2008-06-20 15:42:12 UTC
Description of problem:
This problem only occurs on an AMD Geode LX-800 processor.
Anaconda throws python stack trace on checking dependencies.  This is
immediately after choosing software packages to install.

Version-Release number of selected component (if applicable):


How reproducible:
Attempt to install REHL 5.1 on an AMD Geode LX-800 processor (I have a Demo
board and a PC104-Plus system here, both fail).

  NOTE: I was able to reproduce this on centOS

Steps to Reproduce:
1.  Using AMD Geode LX-800 processor, attempt installation.
2.  Select default options for everything.
3.  Enjoy stack trace when checking package dependencies.
  
Actual results:
Python stack trace occurs when the installation begins checking dependencies, 

Expected results:
Dependency check should go swimmingly and installation should continue to copy
the files to the hard disk I am installing to.

Additional info:

Exception Occurred: Traceback 

File: “/usr/lib/python2.4/site-packages/yum/packagesSack.py”, line 594, in
returnNewestByNmae raise PackageSackError, ‘No Package Matching %s’ %nam

File: “/usr/lib/python2.4/site-packages/yum/packagesSack.py”, line 299, in
returnNewestByName return bestofeach.returnNewestByName(name)

File: “/usr/lib/anaconda/yuminstall.py”, line 1093, in getBestKernelBy Arch pkgs
= ayum.pkgSack.returnNewestByName(pkgname)

File: “/usr/lib/anaconda/yuminstall.py”, line 1102, in selectBestKernel kpkg =
getBestKernelByArch((“kernel”, self.ayum)


Note You need to log in before you can comment on or make changes to this bug.